YAGI(1)

NAME
yagi - Yagi-Uda project antenna current calculator

SYNOPSIS
yagi [ - dhps ] filename

DESCRIPTION
The program yagi is one of a number of executable programs that forms part of a set of programs, collectively known as the Yagi-Uda project , which were designed for analysis and optimisation of Yagi-Uda antennas. yagi calculates the currents at the centre of each element at one or more frequencies, as specified in the input file.

AVAILABILITY

OPTIONS

-d  Display element currents. When this option is used, a bar graph with up to 70 stars (*) is used to display the absolute magnitude of the element currents. The element with the greatest element current has 70 *'s, all others have a corresponding smaller number, depending on the their relative current. The element current, normallised to the maximum, is also shown as a 4 digit floating point number.

-h  Print a help message.

-p  Print the Z matrix. The Z matrix is the impedance matrix, showing the self impedance of the elements on the diagonal and the mutual impedance off the diagonal.

-s  Suppress all diagnostic output. By default, the program print the percentage of the job completed.

filename
    is the name of the file containing the antenna description. It is expected to be in a format created by either input or first - two other programs in the Yagi-Uda project. This is an ASCII text file. The antenna currents are written to a file filename.out which is a binary file. It is not intended to be read by humans.

Limitations
I'm not aware of any limitations, apart from that filenames, including full path, can't exceed 90 characters.

FILES
filename.out Binary data file

SEE ALSO
first(1), input(1), output(1), optimise(1), first(5), input(5), output(5) and optimise(5).

PLATFORMS
Both DOS and Unix versions have been built. The DOS version as distributed requires a 386 PC with a 387 maths coprocessor.

BUGS
Bugs should be reported to david.kirkby@onetel.net. Bugs tend actually to be fixed if they can be isolated, so it is in your interest to report them in such a way that they can be easily reproduced. If the input file is edited manually and done incorrectly, there can be unpredictable results.

AUTHORS

Dr. David Kirkby G8WRB (david.kirkby@onetel.net), with help with converting to DOS from Dr. Joe Mack NA3T (mack@fcrfv2.ncifcrf.gov).